2159 openAPI mismatch?

DeploymentManager in openapi.jar does not have a fireDeploymentListeners method, yet in the openapi dev sources, the method is there, and the weblogic plugin sources call it.

I assume this is due to a mismatch between the dev zip for 2159, and what is actually shipped.

Now, what should I be called to notify IDEA that the deployment status of a modle has changed? setDeploymentStatus?

2 comments
Comment actions Permalink

Now, what should I be called to notify IDEA that the deployment status of a modle has changed? setDeploymentStatus?


It seems that fireDeploymentListeners has been included into
setDeploymentStatus. Before I always called setDeploymentStatus followed
by fireDeploymentListeners, now I only use setDeploymentStatus.

0
Comment actions Permalink

>Now, what should I be called to notify IDEA that the deployment status of a
modle has changed? >setDeploymentStatus?

Yes, you're right. It seems to be more naturally

--
Olesya Smirnova
Developer
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

"Hani Suleiman" <hani@formicary.net> wrote in message
news:13334690.1088729210107.JavaMail.itn@is.intellij.net...

DeploymentManager in openapi.jar does not have a fireDeploymentListeners

method, yet in the openapi dev sources, the method is there, and the
weblogic plugin sources call it.
>

I assume this is due to a mismatch between the dev zip for 2159, and what

is actually shipped.
>

Now, what should I be called to notify IDEA that the deployment status of

a modle has changed? setDeploymentStatus?


0

Please sign in to leave a comment.